LinuxQMISDK: wcdmaLongMsgDecodingParams Struct Reference

LinuxQMISDK SLQS03.03.11

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
wcdmaLongMsgDecodingParams Struct Reference

## Data Fields
BYTE * | pMessage
BYTE * | pSenderAddrLength
CHAR * | pSenderAddr
BYTE * | pTextMsgLength
CHAR * | pTextMsg
BYTE * | pScAddrLength
CHAR * | pScAddr
BYTE | Time [0x09]
BYTE | Date [0x09]
BYTE * | pReferenceNum
BYTE * | pTotalNum
BYTE * | pPartNum
BOOL * | pIsUDHPresent

## Detailed Description

Structure contains parameters which need to be decoded from message

Parameters

  pMessage[IN] | Message read off the device via SLQSGetSMS
  pSenderAddrLength[IN/OUT] | Upon input, indicates the maximum number of ASCII characters (including NULL termination) that the pSenderAddr buffer can accommodate.Note that a length of 14 is reasonable. Upon successful output, returns the length of destination address string.
  pSenderAddr[OUT] | Returns NULL-terminated ASCII String containing destination address
  pTextMsgLength[IN/OUT] | Upon input, specifies the number of characters the given text message buffer can accommodate. Upon successful output, returns the number of characters returns in the given text message buffer.
  pTextMsg[OUT] | Encoded PDU message
  pScAddrLength[IN/OUT] | -Returns NULL-terminated ASCII String containing destination address
  pScAddr[OUT] | NULL-terminated ASCII String containing service center address
  pTime[OUT] | Time fecthed from message
  pReferenceNum[OUT] | Reference number of the sms
  pTotalNum[OUT] | Total number of the concatenated message
  pPartNum[OUT] | Sequence number of the current message
  pIsUDHPresent | Is User Data Header Prensent in the PDU? If yes, it means it is a concatenated SMS.

## Field Documentation

BYTE wcdmaLongMsgDecodingParams::Date[0x09]

BOOL* wcdmaLongMsgDecodingParams::pIsUDHPresent

BYTE* wcdmaLongMsgDecodingParams::pMessage

BYTE* wcdmaLongMsgDecodingParams::pPartNum

BYTE* wcdmaLongMsgDecodingParams::pReferenceNum

CHAR* wcdmaLongMsgDecodingParams::pScAddr

BYTE* wcdmaLongMsgDecodingParams::pScAddrLength

CHAR* wcdmaLongMsgDecodingParams::pSenderAddr

BYTE* wcdmaLongMsgDecodingParams::pSenderAddrLength

CHAR* wcdmaLongMsgDecodingParams::pTextMsg

BYTE* wcdmaLongMsgDecodingParams::pTextMsgLength

BYTE* wcdmaLongMsgDecodingParams::pTotalNum

BYTE wcdmaLongMsgDecodingParams::Time[0x09]